Page 1 of 4 123 ... LastLast
Results 1 to 10 of 37

Thread: Update Error - REALLY?

  1. #1
    Join Date
    Apr 2018
    Location
    In S.E. Iowa, on the Mississippi River
    Posts
    784

    Default Update Error - REALLY?

    patch:SUSE-2021-1526-1.noarch conflicts with readline-doc

    https://susepaste.org/91844067

    Looks like it is the BASH patch. WHY??? More OpenSUSE to SUSE glitches??
    HP Compaq desktop Leap15.2, Win10, Win7
    Toshiba laptops Leap15.2 & Win10, HP AiO Leap 15.2.
    I can now print with openSuSe Leap! Can Scan now, could be better!!
    I can backup my iPod and iPad with Windows, can't with Linux.(Will get there someday!)

  2. #2
    Join Date
    Aug 2010
    Location
    Chicago suburbs
    Posts
    15,268
    Blog Entries
    3

    Default Re: Update Error - REALLY?

    Yes, really.

    It was only a minor problem here -- a mere 2036 conflicts and it wanted to uninstall everything.

    I chose to not apply that patch.

    Something is broken with patches at present. My advice:

    Use only
    Code:
    zypper up
    at the root command line for updating. Avoid "zypper patch"; avoid Yast Online Update; avoid your desktop update applet.
    openSUSE Leap 15.3; KDE Plasma 5.18.6;

  3. #3
    Join Date
    Apr 2018
    Location
    In S.E. Iowa, on the Mississippi River
    Posts
    784

    Default Re: Update Error - REALLY?

    I will see what
    Code:
    zypper up
    does.
    https://susepaste.org/46003272 is an image of YaST output for that error, and it's ramifications. The "1824 more...." is a long list of what seems like the whole system, not just some readline-doc.

    I will not update my wife's laptop for a while! She doesn't need to put up with this sort thing.

    BTW,, that error came up on all 3 machines I have upgraded.
    Disappointed I AM!

    Now to find out how to disable PackageKIt.
    HP Compaq desktop Leap15.2, Win10, Win7
    Toshiba laptops Leap15.2 & Win10, HP AiO Leap 15.2.
    I can now print with openSuSe Leap! Can Scan now, could be better!!
    I can backup my iPod and iPad with Windows, can't with Linux.(Will get there someday!)

  4. #4
    Join Date
    Aug 2010
    Location
    Chicago suburbs
    Posts
    15,268
    Blog Entries
    3

    Default Re: Update Error - REALLY?

    For me, it was 2032 more.

    Yes, it wanted to uninstall a whole lot of my system. It probably wanted to uninstall every package that had a dependency on "readline".

    I'm using KDE, so I just disable the updater in system tray settings.
    openSUSE Leap 15.3; KDE Plasma 5.18.6;

  5. #5
    Join Date
    Apr 2018
    Location
    In S.E. Iowa, on the Mississippi River
    Posts
    784

    Default Re: Update Error - REALLY?

    Quote Originally Posted by nrickert View Post
    For me, it was 2032 more.

    Yes, it wanted to uninstall a whole lot of my system. It probably wanted to uninstall every package that had a dependency on "readline".

    I'm using KDE, so I just disable the updater in system tray settings.
    I am also using KDE, And darn! I uninstalled PackageKit (3 machines), and didn't even think about tying to disable it in the tray!
    I May put it back in and then disable it there.
    OR
    try to learn how to write a script(yeah right! me ???) that will auto run every week at start up for
    Code:
    zypper up
    .

    BTW, just what is that "readline" thing anyway? I thought it was a 'man' page thing.
    HP Compaq desktop Leap15.2, Win10, Win7
    Toshiba laptops Leap15.2 & Win10, HP AiO Leap 15.2.
    I can now print with openSuSe Leap! Can Scan now, could be better!!
    I can backup my iPod and iPad with Windows, can't with Linux.(Will get there someday!)

  6. #6
    Join Date
    Oct 2014
    Location
    Rotterdam
    Posts
    550

    Default Re: Update Error - REALLY?

    To automate "zypper up" see:


    For readline see GNU Readline.

  7. #7
    Join Date
    Jun 2008
    Location
    Netherlands
    Posts
    28,892

    Default Re: Update Error - REALLY?

    Quote Originally Posted by marel View Post
    To automate "zypper up" see:


    For readline see GNU Readline.
    But think at least twice before you decide to update system software unobserved My (very) personal idea is that it is not a wise thing to do.

    Without doubt there will sometime be a situation where some software is updated that a user is using at that moment in time. Something strange will happen and nobody will even think about the possibility that it was an update that broke the running session, because what is "automatic" will be forgotten about.
    Henk van Velden

  8. #8
    Join Date
    Apr 2018
    Location
    In S.E. Iowa, on the Mississippi River
    Posts
    784

    Default Re: Update Error - REALLY?

    Quote Originally Posted by hcvv View Post
    But think at least twice before you decide to update system software unobserved My (very) personal idea is that it is not a wise thing to do.

    Without doubt there will sometime be a situation where some software is updated that a user is using at that moment in time. Something strange will happen and nobody will even think about the possibility that it was an update that broke the running session, because what is "automatic" will be forgotten about.
    Thanks marel & hcvv for your response.
    No, I Would never let things go without a watchful eye. Learned that lesson 30+ years ago setting up HP-UX workstations for Pro-E cad systems. IT Fella at our remote location said 'sure, go ahead and let it build on it's own'. They didn't!

    I shut my machines down every day, & all I would like it to do is run 'zypper up' say every Sunday on start up.
    HP Compaq desktop Leap15.2, Win10, Win7
    Toshiba laptops Leap15.2 & Win10, HP AiO Leap 15.2.
    I can now print with openSuSe Leap! Can Scan now, could be better!!
    I can backup my iPod and iPad with Windows, can't with Linux.(Will get there someday!)

  9. #9
    Join Date
    Oct 2014
    Location
    Rotterdam
    Posts
    550

    Default Re: Update Error - REALLY?

    In that case, better make a reminder.

    You can use likely your email program for that (at least Thunderbird), on KDE Kalarm and there are many other methods.

  10. #10
    Join Date
    Jun 2008
    Location
    Netherlands
    Posts
    28,892

    Default Re: Update Error - REALLY?

    Quote Originally Posted by marel View Post
    In that case, better make a reminder.
    In case you forget it is Saturday?
    Henk van Velden

Page 1 of 4 123 ... LastLast

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •